## php-parser 5.0.2

=== Makefile ===
.PHONY: phpstan php-cs-fixer

tools/vendor:
	composer install -d tools

phpstan: tools/vendor
	tools/vendor/bin/phpstan

php-cs-fixer: tools/vendor
	tools/vendor/bin/php-cs-fixer fix

=== debian/changelog ===
php-parser (5.0.2-2ubuntu1) noble; urgency=medium

  * d/rules: skip build time tests. (LP #2059173)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 26 Mar 2024 21:34:08 -0300

php-parser (5.0.2-2) unstable; urgency=medium

  * Source only upload

 -- David Prévot <taffit@debian.org>  Sun, 10 Mar 2024 15:21:29 +0100

php-parser (5.0.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Avoid cyclic reference in parser
  * Fix indentation detection after opening tag
  * Release PHP-Parser 5.0.2

  [ Maarten Buis ]
  * Update `PhpVersion::getNewestSupported()` to PHP 8.3

  [ David Prévot ]
  * Force system dependencies loading (tests)

 -- David Prévot <taffit@debian.org>  Thu, 07 Mar 2024 23:28:20 +0100

=== debian/control ===
Source: php-parser
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               help2man,
               phpab,
               phpunit
Standards-Version: 4.6.2
Homepage: https://github.com/nikic/PHP-Parser
Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
Rules-Requires-Root: no

Package: php-parser
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: convert PHP code into abstract syntax tree
 PHP Parser’s purpose is to simplify static code analysis and
 manipulation. It turns some PHP code into an abstract syntax tree, and
 vice versa.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS+=nocheck

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build:
	phpab \
		--tolerant \
		--output lib/PhpParser/autoload.php \
		--template debian/autoload.php.tpl \
		lib/PhpParser
	mkdir --parents vendor
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test/PhpParser
	ln -s lib/PhpParser .

override_dh_auto_test:
	phpunit

execute_before_dh_installman:
	mkdir --parents $(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/php-parser/usr/share/php && \
		help2man --version-string=$(UPSTREAM) \
		--source="php-parse $(UPSTREAM)" \
		--no-info \
		--no-discard-stderr \
		--name='command line interface for PHP Parser' \
		'php $(CURDIR)/debian/php-parser/usr/bin/php-parse' \
		> $(CURDIR)/debian/tmp/php-parse.1

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test/PhpParser && phpunit
Restrictions: rw-build-tree
Depends: phpab, phpunit, @

## php-parser 5.1.0

=== debian/changelog ===
php-parser (5.1.0-1ubuntu1) oracular; urgency=medium

  * d/p/fix-ftbfs.patch: skip failing tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 16 Sep 2024 11:27:29 -0300

php-parser (5.1.0-1) unstable; urgency=medium

  [ Markus Staab ]
  * Declare more precise phpdoc types (#993)

  [ Nikita Popov ]
  * [8.4] Add support for new deref without parens
  * Fix ternary precedence printing
  * Release PHP-Parser 5.1.0

  [ Jorg Adam Sowa ]
  * Adjust tests to be compatible with PHPUnit 10 (#998)

  [ David Prévot ]
  * Drop patches not needed anymore

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 15:07:14 +0900

php-parser (5.0.2-3) unstable; urgency=medium

  * Drop abstract test class and its dependencies (Closes: #1070583)
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 17:00:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                help2man,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-export DEB_BUILD_OPTIONS+=nocheck
 
 include /usr/share/dpkg/default.mk
 UPSTREAM := $(DEB_VERSION_UPSTREAM)

## php-parser 5.4.0

=== Makefile ===
.PHONY: phpstan php-cs-fixer

tools/vendor:
	composer install -d tools

phpstan: tools/vendor
	php tools/vendor/bin/phpstan

php-cs-fixer: tools/vendor
	php tools/vendor/bin/php-cs-fixer fix

=== debian/changelog ===
php-parser (5.4.0-3) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Exclude test failing with PHPUnit 12
  * Revert "Force system dependencies loading (tests)"
  * Simplify build

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 20:08:05 +0100

php-parser (5.4.0-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Wed, 01 Jan 2025 12:50:17 +0100

php-parser (5.4.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Promoted properties with hooks do not need visibility modifier
  * Add flags helper methods `Property::isAbstract()` and `Property::isFinal()`
  * Add `PropertyHook::isFinal()` helper method with tests
  * Emit error - Multiple properties cannot share the same hooks

  [ Nikita Popov ]
  * Make PropertyHook::getStmts() less incorrect
  * Fix PropertyHook::getStmts() for set hook
  * Release PHP-Parser 5.4.0

 -- David Prévot <taffit@debian.org>  Wed, 01 Jan 2025 12:14:31 +0100

php-parser (5.3.1-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sun, 13 Oct 2024 09:23:14 +0100

php-parser (5.3.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Support PropertyHooks in NameResolver
  * Include trailing semicolon in GroupUse
  * Add basic support for tab indentation
  * Avoid negative indentation in formatting-preserving printer
  * Support declaring functions with name exit/die
  * Release PHP-Parser 5.3.1

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 15:39:29 +0100

php-parser (5.2.0-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Mon, 16 Sep 2024 08:17:52 +0200

php-parser (5.2.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Declare PHP 8.4 as the newest supported version
  * [8.4] Add support for __PROPERTY__ magic constant
  * [8.4] Add support for property hooks
  * Add support for PHP 8.4 exit function
  * [8.4] Add support for asymmetric visibility modifiers
  * Release PHP-Parser 5.2.0

  [ Ruud Kamphuis ]
  * Normalize enum value to ClassConstFetch

 -- David Prévot <taffit@debian.org>  Mon, 16 Sep 2024 07:38:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php-parser
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 13),

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpabtpl --require nikic/php-parser > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test/PhpParser && phpunit --exclude-filter testAttributes
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools, @

## php-parser 5.5.0

=== debian/changelog ===
php-parser (5.5.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Nikita Popov ]
  * Use multi-line attributes for params when targeting PHP <8.0
  * Release PHP-Parser 5.5.0

  [ Markus Staab ]
  * Support WeakReferences in NodeConnectingVisitor (#1057)

  [ Daniel Scherzer ]
  * Add support for attributes on constants

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Tue, 03 Jun 2025 19:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                help2man,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

## php-parser 5.6.0

=== debian/changelog ===
php-parser (5.6.0-1) experimental; urgency=medium

  [ Tim Düsterhus ]
  * Support declaring functions with name clone (#1090)
  * Support every argument syntax for `clone()` (#1092)

  [ Caleb White ]
  * feat: add CallLike::getArg() method (#1089)

  [ Nikita Popov ]
  * Add support for pipe operator
  * Add support for void cast
  * Allow final on promoted properties
  * Release PHP-Parser 5.6.0

 -- David Prévot <taffit@debian.org>  Fri, 01 Aug 2025 08:16:36 +0200

## php-parser 5.6.1

=== debian/changelog ===
php-parser (5.6.1-2) unstable; urgency=medium

  * Source only upload

 -- David Prévot <taffit@debian.org>  Sun, 17 Aug 2025 12:07:44 +0200

php-parser (5.6.1-1) unstable; urgency=medium

  * Upload to unstable since Trixie has been released

  [ Nikita Popov ]
  * Fix Param::isPublic() for param with asymmetric visibility
  * Avoid deprecated SplObjectStorage::attach/detach
  * Release PHP-Parser 5.6.1

  [ Matthias Schmidt ]
  * Add cast kinds for bool, int, string (#1098)

  [ David Prévot ]
  * Add nocheck hint for bootstraping

 -- David Prévot <taffit@debian.org>  Sun, 17 Aug 2025 10:05:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-phpcomposer,
                help2man,
                phpab,
-               phpunit
+               phpunit <!nocheck>
 Standards-Version: 4.7.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git

## php-parser 5.6.2

=== Makefile ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 php-cs-fixer: tools/vendor
 	php tools/vendor/bin/php-cs-fixer fix
+
+tests:
+	php vendor/bin/phpunit

=== debian/changelog ===
php-parser (5.6.2-2build1) resolute; urgency=medium

  * Disable phpunit dependency for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 21:08:36 -0500

php-parser (5.6.2-2) unstable; urgency=medium

  * Source only upload

 -- David Prévot <taffit@debian.org>  Sat, 25 Oct 2025 10:11:09 +0200

php-parser (5.6.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix chr() deprecation warning
  * FPPP: Fix visibility change with attributes
  * Release PHP-Parser 5.6.2

  [ Arshid ]
  * Support Param isFinal()

 -- David Prévot <taffit@debian.org>  Sat, 25 Oct 2025 10:03:00 +0200

php-parser (5.6.1-3) unstable; urgency=medium

  * Compatibility with recent PHPUnit (12)
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Fri, 19 Sep 2025 10:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,11 @@
                dh-sequence-phpcomposer,
                help2man,
                phpab,
-               phpunit <!nocheck>
+#               phpunit <!nocheck>
 Standards-Version: 4.7.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
-Rules-Requires-Root: no
 
 Package: php-parser
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,16 @@
 		--template debian/autoload.php.tpl \
 		lib/PhpParser
 	mkdir --parents vendor
+	phpabtpl \
+		--require-file ../lib/PhpParser/autoload.php \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
 		test/PhpParser
-	ln -s lib/PhpParser .
 
 override_dh_auto_test:
-	phpunit
+#	phpunit --exclude-filter testAttributes
 
 execute_before_dh_installman:
 	mkdir --parents $(CURDIR)/debian/tmp

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/nikic/PHP-Parser \
refs/tags/v?(\d.+)

## php-parser 5.7.0

=== debian/changelog ===
php-parser (5.7.0-2ubuntu1) resolute; urgency=medium

  * d/rules: Skip build time tests to bootstrap phpunit

 -- Athos Ribeiro <athos@ubuntu.com>  Sun, 01 Feb 2026 21:15:30 -0300

php-parser (5.7.0-2) unstable; urgency=medium

  * Source only upload

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 09:33:20 +0100

php-parser (5.7.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix version reference in changelog
  * Fix modifier change on anonymous class
  * Emit error for unparenthesized arrow function in pipe operator
  * Omit new parentheses when printing for PHP 8.4
  * Release PHP-Parser 5.7.0

  [ Atsushi Matsuo ]
  * Stop using a semicolon (;) at the end of case statements for PHP 8.5

  [ Orest Divintari ]
  * Add shouldPrintRawValue attribute to print rawValue (#1127)

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 09:07:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: php-parser
 Section: php
 Priority: optional
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
                phpab,
-#               phpunit <!nocheck>
+               phpunit <!nocheck>
 Standards-Version: 4.7.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 		test/PhpParser
 
 override_dh_auto_test:
-#	phpunit --exclude-filter testAttributes
 
 execute_before_dh_installman:
 	mkdir --parents $(CURDIR)/debian/tmp
